Get By Name
curl --request GET \
--url https://api.nebius.cloud/vpc/v1/security-rules/get-by-name \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/vpc/v1/security-rules/get-by-name"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/vpc/v1/security-rules/get-by-name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"access": "ACCESS_UNSPECIFIED",
"protocol": "PROTOCOL_UNSPECIFIED",
"egress": {
"destinationCidrs": [
"<string>"
],
"destinationPorts": [
123
],
"destinationSecurityGroupId": "<string>"
},
"ingress": {
"destinationPorts": [
123
],
"sourceCidrs": [
"<string>"
],
"sourceSecurityGroupId": "<string>"
},
"priority": 123,
"type": "RULE_TYPE_UNSPECIFIED"
},
"status": {
"destination": {
"cidrs": [
"<string>"
],
"ports": [
123
],
"securityGroupId": "<string>"
},
"direction": "DIRECTION_UNSPECIFIED",
"effectivePriority": 123,
"source": {
"cidrs": [
"<string>"
],
"ports": [
123
],
"securityGroupId": "<string>"
},
"state": "STATE_UNSPECIFIED"
}
}security-rules
Get By Name
Retrieves a security rule by its name within a specified security group.
GET
/
vpc
/
v1
/
security-rules
/
get-by-name
Get By Name
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
ID of the parent security group.
Name of the security rule.
Response
200 - application/json
A successful response.
SecurityRules define rules for controlling network traffic within a network. These rules specify when traffic is ALLOWED or DENIED based on direction, protocol, match source, and ports.
metadata.parent_id represents the SecurityGroup.
Show child attributes
Show child attributes
Specification of the security rule's configuration. Defines the parameters and constraints for rules that control network traffic.
Show child attributes
Show child attributes
Current status of the security rule.
Show child attributes
Show child attributes
Was this page helpful?